@font-face {
    font-family: "Ubuntu";
    font-style: normal;
    font-weight: 300;
    src: local("Ubuntu"),
         url("/National_Library/20160526010038oe_/https://angelo.lahacker.net/static/fonts/Ubuntu-R.woff") format("woff");
}
@font-face {
    font-family: "Ubuntu Mono";
    font-style: normal;
    font-weight: 300;
    src: local("Ubuntu Mono"),
         url("/National_Library/20160526010038oe_/https://angelo.lahacker.net/static/fonts/UbuntuMono-R.woff") format("woff");
}

body.dark {
    background-color: #000;
    color: #fff; }
body.dark a:link {
    color: #EDED00; }
body.dark a:active {
    color: #00FFFF; }
body.dark a:visited {
    color: #008000; }
body.dark form input, body.dark form button {
    background-color: #222;
    color: #ddd; }
body.dark form button[type=submit] {
    border-color: #800080;
    color: #800080; }
body.dark form[method=post] button[type=submit] {
    border-color: #00FFFF;
    color: #00FFFF; }

a span.fa {
    text-decoration: none; }

html {
    margin: 0; }

body {
    display: table;
    font: 14px/1.2 Ubuntu;
    margin: 0 auto;
    padding: 2em; }
body.solarized.dark.leading-debug {
    background-image: url("/National_Library/20160526010038oe_/https://angelo.lahacker.net/static/images/leading-dark.png"); }
body.solarized.light.leading-debug {
    background-image: url("/National_Library/20160526010038oe_/https://angelo.lahacker.net/static/images/leading-light.png"); }

body > hr, .identity hr {
    display: none; }

body > footer {
    clear: both; }
body > footer p a {
    margin-right: .5em; }

.article, body > nav {
    display: table;
    float: left; }

.identity {
    display: table;
    margin: 0 0 1em 0;
    /*width: 100%;*/ }

.article {
    clear: left;
    margin-right: 2em; }
.article > p:first-child {
    font-size: .8em;
    line-height: 1.5;
    margin: -.65em 0 .65em 0;
    text-transform: uppercase; }
.crumb-sep {
    font-size: 1.3em; }

body > nav > p span:after {
    content: ","; }
body > nav > p span:last-child:after {
    content: ""; }

nav.pagenav {
    font-size: .75em; }
nav.pagenav {
    float: right; }
nav.pagenav > ol {
    display: table;
    margin-top: 0;
    padding-left: 0;
    width: 10em; }
nav.pagenav ol ol ol ol {
    display: none; }
nav.pagenav ol {
    padding-left: 1em; }


body > header {
    display: table;
    margin-bottom: 2em;
    width: 100%; }
body > header .h-card {
    float: left; }
body > header .h-card > p:first-child {
    margin: 0; }
body > header .usernav {
    float: right; }


.siblingnav {
    margin-top: 4em; }
.siblingnav ul {
    list-style: none;
    margin: 0;
    padding: 0; }


/* three columns */
@media (min-width: 56em) {
    .identity img {
        border-radius: 6.5em;
        margin-bottom: 1em;
        width: 13em; }
    .identity .u-url {
        display: block; }
    .identity big {
        display: block; }
    .identity .h-adr {
        line-height: 1;
        margin: 1.25em 0 1.1em 0; }
    .identity .p-note {
        display: block;
        font-size: .8em;
        line-height: 1.25;
        margin: 1.25em 0;
        text-align: justify; }
    header .identifiers {
        font-family: Ubuntu Mono;
        line-height: 1.5;
        list-style: none;
        margin: 0;
        padding: 0;
        text-align: center; }
    header .identifiers {
        padding: 0; }
    header .identifiers li,
    header .social.identifiers,
    header .contact.identifiers {
        display: inline-block; }

    header .social.identifiers {
        margin-right: .25em; }

    header .contact.identifiers li,
    header .crypto.identifiers li {
        margin-right: .25em; }
    header .contact.identifiers .identifier,
    header .crypto.identifiers .identifier {
        margin-left: .25em; }

    header .social.identifiers li {
        margin-right: .25em; }
    header .social.identifiers .identifier {
        display: none; }

    article {
        display: table;
        float: left;
        width: 53em; }
    article > header + * {
        font-size: 1.25em;
        line-height: 2;
        width: 32em; }
    article > aside {
        width: 13em; }
    article > header + *, article > aside {
        float: left; }
    .siblingnav {
        float: left;
        width: 13em; }
    body > nav {
        width: 20em; }
    .adminnav .tasks {
        list-style: none;
        padding: 0; }

    .usernav {
        width: 17em; }
    .usernav button[type=submit] {
        float: right; }
    .usernav > p {
        clear: right;
        float: right;
        line-height: 1; }
    .tagnav {
        clear: right; }
    .tagnav > ul {
        list-style: none;
        padding: 0; }
    .tagnav > ul li {
        display: inline-block; }
    .tagnav > ul li:after {
        content: ","; }
    .tagnav > ul li:last-child:after {
        content: ""; }
    .tagnav > p {
        line-height: 1; }
}

/* one/two column with a header */
/* @media (max-width: 56em) {
    .identity img {
        border-radius: 4em;
        display: block;
        float: left;
        height: 100%; }
    .identity img + div {
        display: block;
        float: left; }
    .identity > div {
        margin-left: 1em;
        width: 30em; }
    .identity .h-adr br {
        display: none; }
    .identity .h-adr, .identity .identifiers {
        margin: .25em 0; }
    .identity .p-street-address:after {
        content: ","; }
    .identity .p-note {
        clear: left;
        margin: .25em 0; }
    .identity .usernav {
        float: right;
        width: 13em; }
} */

/* two column */
/* @media (min-width: 45em) and (max-width: 56em) {
    .identity {
        width: 100%; }
    .article {
        clear: left;
        margin: 0 2em 0 0;
        width: 32em; }
    body > nav {
        width: 13em; }
} */

/* one column */
/* @media (max-width: 50em) {
    .identity {
        float: none;
        width: 100%; }
    .article {
        clear: left;
        width: 100%; }
    .article article {
        width: 100%; }
    body > nav {
        clear: left; }
} */

.sitenav {
    clear: right;
    float: left;
    line-height: 1.5; }
.sitenav ul {
    list-style: none;
    padding: 0; }
// .sitenav > ul > li {
//     margin-bottom: .5em; }
// .sitenav > ul > li > ul > li > a {
//     color: #586e75;
//     float: left; }
.sitenav > ul ul {
    padding-left: 1em; }
.sitenav > ul ul ul li {
    display: inline-block;
    font-size: .8em; }
.sitenav > ul ul ul li span:after {
    content: ", ";
    padding-right: .5em; }
.sitenav > ul ul ul li:last-child span:after {
    content: ""; }
// .sitenav ul ul li {
//     float: left;
//     font-size: .7em; }
// .sitenav ul ul li:after {
//     content: ",";
//     margin-right: .5em; }
// .sitenav ul ul li:last-child:after {
//     display: none; }
// .sitenav ul li > a {
//     display: block;
//     margin: -.5em;
//     padding: .5em; }
// .sitenav ul > li > a {
//     /*margin: -.25em;
//     padding: .25em;*/ }
// .sitenav ul ul > li > a {
//     /*margin: 0 .25em 0 0;
//     padding: .25em;*/ }

// .sitenav ul > li > a, .sitenav ul span.current {
//     clear: left;
//     display: block;
//     margin: 0 -.5em;
//     padding: 0 .5em; }
// .sitenav ul ul a, .sitenav ul ul span.current {
//     float: left;
//     margin-left: 1em;
//     /*padding: .5em;*/ }

/** HEADERS *****************************************************************/

h1, h2, h3, h4, h5, h6 {
    font-family: "Source Sans Pro";
    line-height: 1; }
h1 {
    font-size: 3.6em;
    font-weight: 900;
    font-variant: small-caps;
    margin: -.175em 0 0 0; }
h1 + p {
    font-size: 1.2em;
    margin: .4em 0 1.2em .5em; }

/** FORMS *******************************************************************/

// input[type=text], input[type=password] {
//     margin: .25em; }
input[type=text], input[type=password], button[type=submit],
textarea, select {
    border: 0;
    font-family: "Ubuntu Mono";
    font-size: .9em; }
select {
    margin: 0 0 0 -.25em; }
option {
    padding: 0; }
label.bounding, button[type=submit] {
    border-style: solid;
    border-width: 0 0 .25em;
    padding: .05em .15em; }
textarea {
    height: 20em;
    width: 100%; }

label.bounding {
    display: table;
    line-height: 1;
    padding: 0 1%;
    width: 98%; }
label.bounding input, input.tt-hint {
    padding: .35em 0;
    width: 100%; }
input.tt-hint {
    background: none !important; }
.twitter-typeahead {
    display: block !important; }
.tt-hint, .tt-input {
    font-size: 1.3em !important; }
.tt-menu {
    background-color: #073642; }
.tt-dataset {
    line-height: 2;
    margin: .25em; }
.tt-suggestion {
    padding: .1em .75em; }
.tt-suggestion:hover {
    background-color: #002b36; }
// input[type=text], input[type=password], textarea {
//     background: inherit;
//     padding: 0; }
// textarea {
//     font-size: .7em; }
// input[type=submit], input[type=button] {
//     font-size: .8em;
//     // margin-top: .4em;
//     text-transform: uppercase; }
// .fetchable input[type=text] {
//     float: left;
//     width: 85%; }
// .fetchable input[type=button] {
//     border: 0;
//     float: left;
//     font-size: .9em;
//     padding: .25em 1% .05em 1%;
//     width: 13%; }


article form button[type=submit], .searchnav form button[type=submit] {
    float: right; }
form button[type=submit] {
    margin: .5em 0 1.1em 0; }
form > button[type=submit]:first-child {
    margin: 0; }
form > label {
    clear: both;
    display: table;
    width: 100%; }

article form {
    display: table;
    margin: 1em 0;
    width: 100%; }
article form button[type=submit] {
    margin: 2em 0; }
article li form {
    margin: 0; }
article form .multisubmit {
    float: right; }
article form .multisubmit button[type=submit] {
    float: none; }

/** CODE ********************************************************************/

pre, code {
    font-family: "Ubuntu Mono"; }
pre {
    font-size: .6666em;
    line-height: 1.25;
    white-space: pre-wrap; }
code {
    border-radius: .25em;
    font-size: 1em;
    padding: .1em .35em; }


//////////////////////////////////////////////////////////////////////////////


// .identity p {
//     line-height: 1;
//     margin: 0 0 .6em 0; }

// article > p:first-child {
//     font-size: .75em;
//     max-width: 100%; }
// article > *:first-child,
// article > div:first-child > *:first-child {
//     margin-top: 0; }
// article p, article section > ul, article dl {
//     margin: 1.6em 0;
//     max-width: 30em; }

// .mf-spec {
//     color: #cb4b16;
//     float: right;
//     font-size: .75em;
//     line-height: 1;
//     margin: .5em; }

// nav.usernav, nav.contactnav, nav.calnav, nav.searchnav, nav.sitenav {
//     width: 13em; }
// nav.contactnav {
//     clear: left; }
// nav.contactnav, nav.calnav {
//     float: right; }
// 
// body > nav {
//     margin: 0; }
// body > footer {
//     margin: 0 1.875em 1.875em 0; }

// // .identitynav {
// //     float: left;
// //     font-variant: small-caps;
// //     line-height: 1.5;
// //     overflow: hidden;
// //     text-align: center;
// //     max-width: 100%;
// //     min-width: 13em; }
// // .h-card > a {
// //     display: block;
// //     float: right; }
// // .h-card > a {
// //     height: 10em;
// //     line-height: 1; }
// // .h-card > a img {
// //     // border-radius: .25em;
// //     height: 100%; }
// // /* .identitynav a.org {
// //        font-size: .8em; } */
// // .identitynav a.u-email {
// //     font-variant: normal; }
// // .identitynav a.org:after {
// //     content: ""; }
// // .identitynav p {
// //     margin: .725em 0; }
// // .identitynav p.name {
// //     margin-top: 0; }
// // .identitynav p a span {
// //     display: block; }
// // .identitynav p.contact br {
// //     display: none; }
// 
// // .services a {
// //     display: inline-block;
// //     height: 16px;
// //     width: 16px; }
// // .services a.twitter-icon {
// //     background-image: url("/National_Library/20160526010038oe_/https://angelo.lahacker.net/static/images/services/twitter.ico"); }
// // .services a.facebook-icon {
// //     background-image: url("/National_Library/20160526010038oe_/https://angelo.lahacker.net/static/images/services/facebook.ico"); }
// // .services a.linkedin-icon {
// //     background-image: url("/National_Library/20160526010038oe_/https://angelo.lahacker.net/static/images/services/linkedin.ico"); }
// // .services a.github-icon {
// //     background-image: url("/National_Library/20160526010038oe_/https://angelo.lahacker.net/static/images/services/github.ico"); }
// // .services a.bitbucket-icon {
// //     background-image: url("/National_Library/20160526010038oe_/https://angelo.lahacker.net/static/images/services/bitbucket.ico"); }
// // .services a.hackernews-icon {
// //     background-image: url("/National_Library/20160526010038oe_/https://angelo.lahacker.net/static/images/services/hackernews.ico"); }
// // .services a.reddit-icon {
// //     background-image: url("/National_Library/20160526010038oe_/https://angelo.lahacker.net/static/images/services/reddit.ico"); }
// // .services a.wikipedia-icon {
// //     background-image: url("/National_Library/20160526010038oe_/https://angelo.lahacker.net/static/images/services/wikipedia.ico"); }
// // .services a span {
// //     display: none; }
// 
// .btc {
//     font-family: Ubuntu Mono;
//     font-size: .7em;
//     font-variant: normal; }
// 
// div.profile {
//     display: table;
//     width: 100%; }
// div.profile a {
//     display: block;
//     line-height: 1; }
// div.profile p {
//     font-size: .9em;
//     font-variant: small-caps;
//     line-height: 1.25;
//     margin: 1em 0 0 0;
//     max-width: 100%;
//     text-align: center; }
// article div.profile a {
//     float: left;
//     width: 11em; }
// article div.profile p {
//     float: right;
//     font-size: 1.6em;
//     margin: auto 0;
//     width: 12.5em; }
// 
// p.prev {
//     float: left; }
// p.next {
//     float: right; }
// 
// nav.sitenav ul, nav.usernav > p:first-child {
//     margin-top: 0; }
// nav.searchnav form, nav.usernav form {
//     display: table;
//     margin-bottom: .75em;
//     width: 100%; }
// // nav.searchnav form label.bounding, nav.usernav form label.bounding {
// //     display: block; }
// nav.searchnav form input[type=text], nav.searchnav form input[type=password],
// nav.usernav form input[type=text], nav.usernav form input[type=password] {
//     width: 100%; }
// nav.searchnav form input[type=submit], nav.usernav form input[type=submit] {
//     float: right; }
// nav.usernav form p {
//     margin-top: 0; }
// nav.siblingnav h2 {
//     line-height: 1; }
// 
// // .user {
// //     clear: left; }
// 
// .calnav ol {
//     display: table;
//     padding-left: 0;
//     width: 100%; }
// .calnav ol:first-child {
//     font-size: .8em;
//     margin-bottom: 0; }
// .calnav ol:first-child + ol {
//     margin-top: 0; }
// .calnav ol li {
//     display: block;
//     float: left;
//     list-style: none;
//     width: 14.2857%; }
// .calnav ol li a, .calnav ol li abbr {
//     display: block;
//     text-align: center; }
// .calnav ol.f1 li:first-child {
//     margin-left: 14.2857%; }
// .calnav ol.f2 li:first-child {
//     margin-left: 28.5714%; }
// .calnav ol.f3 li:first-child {
//     margin-left: 42.8571%; }
// .calnav ol.f4 li:first-child {
//     margin-left: 57.1428%; }
// .calnav ol.f5 li:first-child {
//     margin-left: 71.4285%; }
// .calnav ol.f6 li:first-child {
//     margin-left: 85.7142%; }
// 
// body > footer {
//     clear: both;
//     font-size: .8em; }
// body > footer > p:first-child {
//     float: right;
//     margin-top: 0;
//     text-align: right; }

// h2 {
//     font-size: 2.8em;
//     margin: 0 0 .5em 0; }
// h3 {
//     font-size: 2.4em;
//     margin: 0 0 .5em 0; }
// h4 {
//     font-size: 2em;
//     margin: 0 0 .5em 0; }
// h5 {
//     font-size: 1.6em;
//     margin: 0 0 .5em 0; }
// h6 {
//     font-size: 1.2em;
//     margin: 0 0 .5em 0; }
// 
// a[href^=http]:after {
//     content: "\00a0⇢"; }
// /* a[href^=https\:\/\/en\.wikipedia\.org]:after {
//     content: " E"; } */
// /* a[href^=https\:\/\/lahn]:after,
// a[rel=me]:after {
//     content: ""; } */
// 
// .current {
//     font-weight: bold; }
// 
// .x-find .x-find-index {
//     background-color: #2aa198;
//     display: inline-block; }
// 
// td.code {
//     width: 100%; }
// div.highlight pre > span {
//     display: block; }
// /* div.highlight span.focus {
//     background-color: #073642; } */
// 
// .highlighttable {
//     font-family: "Ubuntu Mono";
//     /* margin-left: -2.75em; */ }
// .highlighttable td {
//     padding: 0; }
// .highlighttable .linenos {
//     display: block;
//     padding-right: .5em;
//     text-align: right;
//     width: 2em; }
// 
// 
// form#socialsignin input {
//     background-repeat: no-repeat;
//     float: left;
//     margin: .5em 2.5%;
//     width: 30%; }
// form#socialsignin input[value=twitter] {
//     margin-left: 0; }
// form#socialsignin input[value=github] {
//     margin-right: 0; }
// 
// 
// p.metaresources {
//     text-align: right; }
// 
// 
// ul.photos {
//     display: table;
//     list-style: none;
//     padding-left: 0; }
// ul.photos li a {
//     font-size: .8em; }
// ul.photos input[type=checkbox] {
//     float: right;
//     left: -1em;
//     position: relative;
//     top: -2em; }
// ul.photos li label {
//     border-color: #93a1a1;
//     border-style: solid;
//     border-width: 0 0 .25em;
//     display: block; }
// ul.photos li label img {
//     display: block;
//     margin-bottom: .125em; }
